This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 845297 - Missing search queries for Quota usability
Missing search queries for Quota usability
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
high Severity unspecified
: ---
: 3.1.0
Assigned To: Laszlo Hornyak
Pavel Stehlik
sla
: FutureFeature, TechPreview
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-02 11:08 EDT by Doron Fediuck
Modified: 2016-02-10 15:13 EST (History)
12 users (show)

See Also:
Fixed In Version: si14
Doc Type: Technology Preview
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Doron Fediuck 2012-08-02 11:08:45 EDT
Description of problem:

For quota porposes, the user should be able to look for
VMs, templates and disks which have no quota assignment.

Additional info:

When a user moves from permissive to enforcing, he
should be able to go to the VM (templates/disks) tab and
use a query such as:
VMs: quota == unassigned

or 

VMs: quota == 'quota18'
Comment 1 Laszlo Hornyak 2012-08-03 10:52:25 EDT
It is possible to solve, but the search syntax may be misleading for the users for two reasons:
 - the == operator is not used in search
 - the quotes are not used for strings

What about an sql-like "is null" syntax?

e.g.

 - VM : quota is null
 - VM : quota is not null
 - VM : quota = foo
 - VM : quota != bar
Comment 2 Doron Fediuck 2012-08-04 05:07:51 EDT
(In reply to comment #1)
> It is possible to solve, but the search syntax may be misleading for the
> users for two reasons:
>  - the == operator is not used in search
>  - the quotes are not used for strings
> 
> What about an sql-like "is null" syntax?
> 
> e.g.
> 
>  - VM : quota is null
>  - VM : quota is not null
>  - VM : quota = foo
>  - VM : quota != bar

Very well. Can we use undefined instead of null?
Comment 3 Laszlo Hornyak 2012-08-06 01:20:53 EDT
Ok, the undefined sounds better for me, null is very technical.

So the search queries would be
  - VM : quota is undefined
  - VM : quota is not undefined
Comment 4 Laszlo Hornyak 2012-08-06 04:51:57 EDT
We agreed in the following with Doron:

- the 'is null' syntax will not be supported
- the 'undefined' and 'null' strings will be handled as an exception by the search query backend, it will be translated into  'is null'/'is not null'

so the search syntax can be like this:
- 'VM : quota = undefined' or alternatively 'VM : quota = null'
- 'VM : quota != undefined' or 'VM : quota != null'
- 'VM : quota != myquota' to search for non-null values the good old way
Comment 5 Laszlo Hornyak 2012-08-06 05:29:04 EDT
update for the above:

- 'undefined' will not be supported, only 'null' is
Comment 10 Yaniv Kaul 2012-08-08 11:57:16 EDT
Reminder to QE: this is TechPreview.
Comment 12 Laszlo Hornyak 2012-08-09 03:40:11 EDT
Another pile of patches, some replacing one from the previous, some just splitting the patches into two. Basically the whole thing does the same.

remote:   http://gerrit.ovirt.org/7035
remote:   http://gerrit.ovirt.org/7036
remote:   http://gerrit.ovirt.org/7037
remote:   http://gerrit.ovirt.org/7038
remote:   http://gerrit.ovirt.org/7039
remote:   http://gerrit.ovirt.org/7040
remote:   http://gerrit.ovirt.org/7041
remote:   http://gerrit.ovirt.org/7042
remote:   http://gerrit.ovirt.org/7043
remote:   http://gerrit.ovirt.org/7044
Comment 13 Laszlo Hornyak 2012-08-10 09:26:11 EDT
merged upstream
Comment 17 Gilad Chaplik 2012-08-13 05:33:06 EDT
merged upstream (9e486c23dcb27b1329b77e0b69f533a15e81b029..380fe0992629bd13e4eb6fa770f2be8f994eccf8)

Note You need to log in before you can comment on or make changes to this bug.